Jump to content


Please help me get started


5 replies to this topic

#1 Guest_Xcon_*

Guest_Xcon_*
  • Guests

Posted 09 February 2011 - 09:42 AM

I haven't played UFO in years. I sucked all that time ago but I'm willing to discover the real awesomeness of this game.

I believe I have v1.0 DOS. Is there anyway to confirm the version?

Now I hear upgrading to 1.4 will break the sound effects. I also notice theres a UFO voice patch, but it says if I apply it, it will convert it to CE. I don;t want to run the Windows version I want to run the DOS version so I can use Dosbox (to play on PC and Mac and can alter speed).

I would also be interested in applying any unofficial bug fixes and enhancements. But not additions which drastically alter gameplay, just restore the game to what it *should* be (or close).

So how do I get the best DOS version?

#2 biggsboggs

biggsboggs

    Rookie

  • New Forum Members
  • Pip
  • 0 posts

Posted 09 February 2011 - 04:55 PM

I suggest you to use XcomUtil. You can find it here: http://xcomutil.scotttjones.com/

It´s highly adjustable. With it, you can change almost anything or nearly nothing.

By default it fixes only the annoying difficulty-Bug and the cut-off-section-in-base-defense-bug. But it has some nice features which will only make the game a bit more comfortable without changing the original game balance (like auto equipping soldiers before each battle or re-arranging the troops in the transport.)

Another fine feature is the alternate starting base. You can change the placement of the buildings in the first base, which is just stupid.

EDIT: XcomUtil will also show you your Game Version :-)

Edited by biggsboggs, 09 February 2011 - 04:57 PM.


#3 NKF

NKF

    Commander

  • [Global Moderators]
  • PipPipPipPipPipPip
  • 4,798 posts

Posted 10 February 2011 - 12:03 AM

What the 1.4 does to the sound effects is make the aquatoids and snakemen sound like floaters when they die. That's the biggest issue many folks have with the 1.4 patch, and many will avoid it and forgo the fixes just so that they can hear the original death screams.

It's just my opinion, but I think you should go for the 1.4 patch.

But even with that you still want a fix for the difficulty bug. There is a way to manually fix this if you're happy to do a bit of hex editing (or use MS-Edit), but of course Xcomutil is probably the easiest way to fix it. I recommend getting the new 9.7 Beta off http://www.bladefirelight.com/

Bladefirelight's the new developer of the utility and has made is so that all of the changes that XComutil might make to your game are optional, so you aren't stuck with mods that you never wanted.

- NKF

Edited by NKF, 10 February 2011 - 12:14 AM.

Lord High Generalissimo Ruler Supreme of Norm's Anti Pedant Society (NAPS).

Number of members: 1

#4 Guest_Xcon_*

Guest_Xcon_*
  • Guests

Posted 10 February 2011 - 07:21 AM

Thanks all. I applied patch 1.4.

I tried to run Xcomutil but it just hangs my Dosbox session. Any ideas?

#5 NKF

NKF

    Commander

  • [Global Moderators]
  • PipPipPipPipPipPip
  • 4,798 posts

Posted 11 February 2011 - 01:00 PM

Not entirely sure. Are you using the latest copy of Dosbox? If I remember correctly it uses some functions that are only available in more recent versions.

You could also apply the XComutil fixes outside of Dosbox to get the difficulty bug fix, and just run the game via the normal means in Dosbox.

- NKF
Lord High Generalissimo Ruler Supreme of Norm's Anti Pedant Society (NAPS).

Number of members: 1

#6 Guest_Xcon_*

Guest_Xcon_*
  • Guests

Posted 14 February 2011 - 10:49 AM

That was it. I was using Boxer Mac which doesn't appear to be the latest version of DosBox.

Thanks.



Reply to this topic